cURL
curl --request GET \
--url https://api.recoupable.dev/api/catalogs/{catalogId}/valuations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.dev/api/catalogs/{catalogId}/valuations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.dev/api/catalogs/{catalogId}/valuations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"valuations": [
{
"low": 123,
"mid": 123,
"high": 123,
"measured_song_count": 123,
"total_streams": 123,
"measured_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Catalogs
Get Catalog Valuations
Get the persisted valuation history for a catalog, latest first. A row is written each time a valuation band is computed for the whole catalog (valuation runs and measurement reads persist at most one row per catalog per day). Use limit=1 for the current value. History is what makes week-over-week deltas possible.
GET
/
api
/
catalogs
/
{catalogId}
/
valuations
cURL
Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Path Parameters
The unique identifier of the catalog. The catalog must belong to the authenticated account. Malformed (non-uuid) values are rejected with 400.
Query Parameters
Maximum number of valuation rows to return, latest first (default 30, max 100). limit=1 returns the current value. Invalid values are rejected with 400.
Required range:
1 <= x <= 100Was this page helpful?
